<!-- <div class="col-12  px-2"> -->

<div class="flex align-items-center justify-content-between gap-3 px-2 mb-2">
    <div>

        <p-avatar icon="pi pi-shopping-cart" size="large" shape="circle"
            styleClass="text-base bg-indigo-100 text-indigo-700"></p-avatar>
        <span class="text-xl ml-2">Progress Note</span>
    </div>

    <div>
        <i pRipple class="pi pi-briefcase cursor-pointer card styled-box-purple p-2 focus:tw-outline-none focus:tw-ring focus:tw-ring-violet-300 hover:tw--translate-y-1 
        hover:tw-scale-110 tw-duration-200" style="color: slateblue" (click)="getProgressNote()"></i>

    </div>
</div>
<div class="border-round overflow-hidden surface-200 mb-2" style="height:.2rem">
    <div class="h-full bg-indigo-200 w-full"></div>
</div>

<div class="flex">
    <div class="flex tw-flex-col tw-w-full">
        <div class="p-inputgroup tw-rounded-none">
            <span class="p-inputgroup-addon  tw-rounded-none p-2">S :</span>
            <input type="text" pInputText [(ngModel)]="progressValueS" placeholder="" autocomplete="off"
                class="p-inputtext-sm w-full">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"
                    (click)="addProgressNoteS()"></i></span>
        </div>
        <div class="p-inputgroup">
            <span class="p-inputgroup-addon p-2">O :</span>
            <input type="text" pInputText [(ngModel)]="progressValueO" placeholder="" class="p-inputtext-sm w-full">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"
                    (click)="addProgressNoteO()"></i></span>
        </div>
        <div class="p-inputgroup">
            <span class="p-inputgroup-addon p-2">A :</span>
            <input type="text" pInputText [(ngModel)]="progressValueA" placeholder="" class="p-inputtext-sm w-full">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"
                    (click)="addProgressNoteA()"></i></span>
        </div>
        <div class="p-inputgroup">
            <span class="p-inputgroup-addon p-2">P :</span>
            <input type="text" pInputText [(ngModel)]="progressValueP" placeholder="" class="p-inputtext-sm w-full">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"
                    (click)="addProgressNoteP()"></i></span>
        </div>

        <div class="p-inputgroup">
            <span class="p-inputgroup-addon p-2">N :</span>
            <input type="text" pInputText [(ngModel)]="progressValueN" placeholder="" class="p-inputtext-sm w-full">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"
                    (click)="addProgressNote()"></i></span>
        </div>
        <div class="mt-2 p-1 flex w-max align-items-center bg-green-100 tw-rounded">
            <span class="bg-green-500 text-white flex align-items-center justify-content-center border-circle mr-2 p-1">
                <i class="pi pi-check text-xs"></i>
            </span>
            <span class="text-green-500 text-sm">รายการที่เพิ่ม</span>
        </div>

        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">S:
            <p-chip *ngFor="let item of progress_note_subjective" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label)" class="text-sm p-0"></p-chip>
        </div>
        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">O:
            <p-chip *ngFor="let item of progress_note_objective" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label)" class="text-sm p-0"></p-chip>
        </div>
        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">A:
            <p-chip *ngFor="let item of progress_note_assertment" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label)" class="text-sm p-0"></p-chip>
        </div>
        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">P:
            <p-chip *ngFor="let item of progress_note_plan" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label)" class="text-sm p-0"></p-chip>
        </div>
        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">N:
            <p-chip *ngFor="let item of progress_note" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label)" class="text-sm p-0"></p-chip>
        </div>
        <div class="mt-2 p-1 flex w-max align-items-center bg-blue-100 tw-rounded">
            <span class="bg-blue-500 text-white flex align-items-center justify-content-center border-circle mr-2 p-1">
                <i class="pi pi-book text-xs"></i>
            </span>
            <span class="text-blue-500 text-sm">Progess Note [ ก่อนหน้านี้ ]</span>
        </div>

        <div class="flex align-items-center gap-2 flex-wrap mt-2">
           
            <p-chip label="Thriller" [removable]="true" class="text-sm"></p-chip>
        </div>

    </div>
</div>
<p-sidebar styleClass="w-full md:w-8 lg:w-6 xl:w-5" [(visible)]="sidebarVisible2" position="right">
    <div>

        <button pButton pRipple type="button" icon="pi pi-bookmark" label="เลือกโรค" class="p-button-outlined"
            (click)="showDx = true"></button>

    </div>

    <div class="flex">
        <div class="flex flex-col w-full bg-slate-50  h-100 mt-2">
            <p-progressSpinner ariaLabel="loading" *ngIf="dxLoading"></p-progressSpinner>
            <div *ngIf="showDx" class="flex flex-wrap gap-2 w-full">
                <div class="flex align-items-center gap-2 flex-wrap mt-2">
                    <p-chip *ngFor="let item of dxData" label="{{item.name}}" 
                        (click)="dxlistClick(item.id,item.name);" 
                        class="text-sm"></p-chip>
                </div>
            </div>
        </div>

        <div *ngIf="!showDx" class="flex">
            Progress Note :[ {{dxName}} ]

            <div class="rounded-lg border-blue-200 border-2 p-5">

                <div class="flex flex-row rounded-lg bg-slate-100 shadow-md p-5 w-full min-w-80 mb-5">

                    <div class="flex flex-row w-full">

                        <div class="flex flex-col w-full content-center">
                            <div nz-row nzSpan="12" class="w-[100%] font-bold">
                                Subjective<br>

                                <div class="flex flex-col w-[100%]">
                                    <span *ngFor="let sub of optionSubjective " class="flex flex-row">
                                        <input type="checkbox" id="vehicle1" name="vehicle1"
                                            value="{{sub.progress_note}}" (click)="optionSubjectClick($event)">
                                        <label for="vehicle1"> {{sub.progress_note}}</label><br>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="flex flex-row rounded-lg bg-slate-100 shadow-md p-5 w-full min-w-80 mb-5">

                    <div class="flex flex-row w-full">

                        <div class="flex flex-col w-full content-center">

                            <div nz-row nzSpan="12" class="w-[100%] font-bold">
                                Objective<br>

                                <div class="flex flex-col w-[100%]">
                                    <span *ngFor="let sub of optionObjective " class="flex flex-row">

                                        <input type="checkbox" id="vehicle1" name="vehicle1"
                                            value="{{sub.progress_note}}" (click)="optionObjectClick($event)">
                                        <label for="vehicle1"> {{sub.progress_note}}</label><br>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="flex flex-row rounded-lg bg-slate-100 shadow-md p-5 w-full min-w-80 mb-5">

                    <div class="flex flex-row w-full">

                        <div class="flex flex-col w-full content-center">
                            <div nz-row nzSpan="12" class="w-[100%] font-bold">
                                Assessment<br>

                                <div class="flex flex-col w-[100%]">
                                    <span *ngFor="let sub of optionsAssessment " class="flex flex-row">

                                        <input type="checkbox" id="vehicle1" name="vehicle1"
                                            value="{{sub.progress_note}}" (click)="optionAssessmentClick($event)">
                                        <label for="vehicle1"> {{sub.progress_note}}</label><br>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="flex flex-row rounded-lg bg-slate-100 shadow-md p-5 w-full min-w-80 mb-5">

                    <div class="flex flex-row w-full">

                        <div class="flex flex-col w-full content-center">
                            <div nz-row nzSpan="12" class="w-[100%] font-bold">
                                Plan<br>

                                <div class="flex flex-col w-[100%]">
                                    <span *ngFor="let sub of optionPlan" class="flex flex-row">

                                        <input type="checkbox" id="vehicle1" name="vehicle1"
                                            value="{{sub.progress_note}}" (click)="optionPlanClick($event)">
                                        <label for="vehicle1"> {{sub.progress_note}}</label><br>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div>
                    <div class="flex justify-center content-center mb-2 mr-3 mt-4">
                        <button nz-button nzType="primary" (click)="saveProgressNote()">
                            <!-- <i class="fas fa-save"></i>&nbsp; -->
                            บันทึก
                        </button>&nbsp;&nbsp;
                        <button nz-button>
                            <!-- <i class="fas fa-save"></i>&nbsp; -->
                            ยกเลิก
                        </button>
                    </div>
                </div>

            </div>

        </div>
    </div>


</p-sidebar>